Bug 1893949 - Review Request: mingw-qt5-qtquickcontrols2 - Qt5 for Windows - QtQuickControls2 component
Summary: Review Request: mingw-qt5-qtquickcontrols2 - Qt5 for Windows - QtQuickControl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-03 07:40 UTC by Jan Grulich
Modified: 2020-11-13 03:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-13 03:46:51 UTC
Type: ---
Embargoed:
manisandro: fedora-review+


Attachments (Terms of Use)

Description Jan Grulich 2020-11-03 07:40:55 UTC
Spec URL: https://jgrulich.fedorapeople.org/mingw-qt5-qtquickcontrols2/mingw-qt5-qtquickcontrols2.spec
SRPM URL: https://jgrulich.fedorapeople.org/mingw-qt5-qtquickcontrols2/mingw-qt5-qtquickcontrols2.spec
Description:
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.

Fedora Account System Username: jgrulich

Comment 1 Jan Grulich 2020-11-03 07:42:21 UTC
Sandro, can you please look into this one? It's basically a copy of mingw-qt5-qtquickcontrols. I will need it for mingw-mediawriter in future.

Comment 2 Sandro Mani 2020-11-03 13:26:20 UTC
Hi Jan

Only question: why a -devel package? Mingw packages are technically always -devel packages. I'd only have a main package and a -static subpackage.

Comment 3 Jan Grulich 2020-11-03 13:49:49 UTC
Fixed. 

Spec URL: https://jgrulich.fedorapeople.org/mingw-qt5-qtquickcontrols2/mingw-qt5-qtquickcontrols2.spec
SRPM URL: https://jgrulich.fedorapeople.org/mingw-qt5-qtquickcontrols2/mingw-qt5-qtquickcontrols2.spec
Description:
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.

Fedora Account System Username: jgrulich

Comment 4 Jan Grulich 2020-11-03 13:50:47 UTC
Sorry, wrong link to a SRPM.

Spec URL: https://jgrulich.fedorapeople.org/mingw-qt5-qtquickcontrols2/mingw-qt5-qtquickcontrols2.spec
SRPM URL: https://jgrulich.fedorapeople.org/mingw-qt5-qtquickcontrols2/mingw-qt5-qtquickcontrols2-5.15.1-1.fc33.src.rpm
Description:
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.

Fedora Account System Username: jgrulich

Comment 5 Sandro Mani 2020-11-03 14:05:58 UTC
Looks good to me! Feel free to add me to the package, I can then take care of updating it when I update the entire qt5 set.

Comment 6 Jan Grulich 2020-11-03 14:07:54 UTC
(In reply to Sandro Mani from comment #5)
> Looks good to me! Feel free to add me to the package, I can then take care
> of updating it when I update the entire qt5 set.

Will definitely do. Thanks.

Comment 7 Gwyn Ciesla 2020-11-03 15:15:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-qt5-qtquickcontrols2

Comment 8 Fedora Update System 2020-11-04 15:58:10 UTC
FEDORA-2020-37a129fe47 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-37a129fe47

Comment 9 Fedora Update System 2020-11-05 03:28:18 UTC
FEDORA-2020-37a129fe47 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-37a129fe47 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-37a129fe47

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-13 03:46:51 UTC
FEDORA-2020-37a129fe47 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.